Uploaded image for project: 'Openfire'
  1. Openfire
  2. OF-697

Update bundled MySQL JDBC driver to the newest 5.1.x version

    XMLWordPrintable

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.8.1
    • Fix Version/s: 3.9.1
    • Component/s: None
    • Labels:
    • Environment:
      MySQL 5.6.x

      Description

      Openfire is still shipping with the older MySQL JDBC driver (5.0.8), while the latest driver available from MySQL page is 5.1.26. Older driver has issues with the newest MySQL (Users list is not showing in the Admin Console, maybe other issues or performance bugs). New driver should be backwards compatible, but some testing should be done.

      MySQL 5.6.10 - works fine (newest versions don't work, because the have no SET OPTION support anymore)
      MySQL 5.1.x - Jason will test this, no bad reports, assuming that works fine
      MySQL 5.0.x - Jorge reports - works fine
      HSQL (Embedded database) - has its own driver, so not affected

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              akrherz Daryl Herzmann
              Reporter:
              wroot wroot
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: